org.eclipse.net4j.util.security

## Class PasswordCredentials

- java.lang.Object
- - org.eclipse.net4j.util.security.Credentials
  - - org.eclipse.net4j.util.security.PasswordCredentials

- All Implemented Interfaces:
    ICredentials, IPasswordCredentials, IUserAware
  Direct Known Subclasses:
    PasswordCredentialsUpdate

      public class PasswordCredentials
      extends Credentials
      implements IPasswordCredentials

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordCredentials(String userID)`
    `PasswordCredentials(String userID, char[] password)`
    `PasswordCredentials(String userID, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char[]` | `getPassword()`
    `void` | `setPassword(char[] password)`

    - ### Methods inherited from class org.eclipse.net4j.util.security.Credentials

      `getUserID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Constructor Detail

    - #### PasswordCredentials

          public PasswordCredentials(String userID,
                                     char[] password)

    - #### PasswordCredentials

          public PasswordCredentials(String userID,
                                     String password)

      Since:
        3.4

    - #### PasswordCredentials

          public PasswordCredentials(String userID)

      Since:
        3.4

  - ### Method Detail

    - #### getPassword

          public char[] getPassword()

      Specified by:
        `getPassword` in interface `IPasswordCredentials`

    - #### setPassword

          public void setPassword(char[] password)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html